Bug 129801 - Mozilla doesn't give up focus when a different application is clicked in Gnome panel
Mozilla doesn't give up focus when a different application is clicked in Gnom...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-12 15:31 EDT by Fred New
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 00:42:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fred New 2004-08-12 15:31:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Clicking on a different application in the Gnome panel doesn't
complete correctly if I am going from Mozilla to Gnome terminal.  The
"Steps to Reproduce" section below is better for describing this problem.

Version-Release number of selected component (if applicable):
mozilla-1.7-0.3.2
gnome-panel-2.7.90-1

How reproducible:
Always

Steps to Reproduce:
1. Log into Gnome
2. Start a Gnome terminal session
3. Start Mozilla (in case it matters, my Mozilla window is maximized)
4. Move the mouse down to the Gnome panel to the area where you can
click on the section representing the currently-running Gnome terminal.
5. (Left) click the mouse

Actual Results:  The terminal window appears, but the upper bar is
gray.  If you type something on the keyboard, you are still typing in
Mozilla.

Expected Results:  I expect the application focus to switch just like
it does when I press Alt-Tab - the terminal window appears, the upper
bar is blue and when I type, characters will appear in the terminal
window.

If I am working in the terminal and click on Mozilla in the Gnome
panel, the switch completes as expected.

Additional info:
Comment 1 Fred New 2004-08-16 04:42:51 EDT
This is probably the same as bug

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=129938
Comment 2 Fred New 2004-09-01 00:42:03 EDT
This problem is no longer present with the latest updates from Rawhide:
  gnome-panel-2.7.91.1-2

Note You need to log in before you can comment on or make changes to this bug.